<html>
	<head>
		<script>
			function hello() {
				var email = document.getElementById("email").value;
				var password = document.getElementById("password").value;
				var firstname = document.getElementById("first_name").value;
				var lastname = document.getElementById("last_name").value;
				var phone = document.getElementById("phone").value;
				var format = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
				var count = 0;
				if (password == "") {
					document.getElementById("error5").innerHTML = "please enter password!";
					count++;
				}else if(password.length < 6 || password.length > 8){
					document.getElementById("error5").innerHTML = "please enter password more than 6 character and less than 8!";
					count++;
				} else {
				
				    document.getElementById("error5").innerHTML = "";
				}
				if (firstname == "") {
					document.getElementById("error1").innerHTML = "please enter firstname!";
					count++;
				} else {
				
				    document.getElementById("error1").innerHTML = "";
				}
				if (lastname == "") {
					document.getElementById("error2").innerHTML = "please enter lastname!";
					count++;
				} else {
				
				    document.getElementById("error2").innerHTML = "";
				}
				if (email == "") {
					document.getElementById("error3").innerHTML = "please enter email!";
					count++;
				} else if (!email.match(format)) {
				    
					document.getElementById("error3").innerHTML = "please enter valid email!";
			     	count++;
				} else {	
				    document.getElementById("error3").innerHTML = "";
				}
				if (phone == "") {
					document.getElementById("error4").innerHTML = "please enter phone!";
					count++;
				}else if(phone.length <10){
					document.getElementById("error4").innerHTML = "Your phone number is less than 10 number!"
					count++;

				}else if(phone.length >10){
					document.getElementById("error4").innerHTML = "Your phone number is greater than 10 number!"
					count++;

				} else {
				
				    document.getElementById("error4").innerHTML = "";
				}
				
				
				
				
				if (count > 0) {
				    return false;
				}
			  }
		</script>
	</head>
	<body>
		<form method="post" action="/api/user/signup" onsubmit="return hello()">
			<div class="box-form">
				<div class="left">
					<div class="overlay">
						<h1>E-Commerce Platform</h1>
					</div>
				</div>
				<div class="right">
					<h5>SignUp</h5>
					<p>You have an account? <a href="/login">Login Here</a> it takes less than
						a minute</p>
					<!-- <form method="post" action="/api/user/signup"> -->
					<div class="inputs">
						<input type="text" name="first_name" id="first_name" placeholder="FirstName">
						<span style="color:rgb(223, 49, 179);" id="error1"></span>
						<br>
						<input type="text" name="last_name" id="last_name" placeholder="LastName">
						<span style="color:rgb(223, 49, 179);" id="error2"></span>
						<br>
						<input type="text" name="email" id="email" placeholder="Email">
						<span style="color:rgb(223, 49, 179);" id="error3"></span>
						<br>
						<input type="number" name="phone" id="phone" placeholder="Phone">
						<span style="color:rgb(223, 49, 179);" id="error4"></span>
						<br>
						<input type="password" name="password" id="password"
							placeholder="Password">
						<span style="color:rgb(223, 49, 179);" id="error5"></span>
						<br><br>

					</div>
					<!-- </form>			 -->
					<button onMouseOver="this.style.color='black'"
						onMouseOut="this.style.color='white'" type="submit">Sign Up</button>
				</div>

			</div>
		</form>
	</body>
</html>
